Skip to content

document-delivery-notes​

Manage delivery notes

Operations​

GET/accounts/{accountUuid}/documents/v2/delivery-notesPOST/accounts/{accountUuid}/documents/v2/delivery-notesGET/accounts/{accountUuid}/documents/v2/delivery-notes/{deliveryNoteUuid}PATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{deliveryNoteUuid}GET/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actionsGET/accounts/{accountUuid}/documents/v2/delivery-notes/{deliveryNoteUuid}/actionsGET/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/commentsPOST/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/commentsGET/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/filesPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/archivePATCH/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/collectInvoicePATCH/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/markSentPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/massDownloadZipPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/massPrintPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/massSentPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/plannedMailPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/archivePATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/cancelPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/cancelPermanentlyPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/clonePATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/convertDNIPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/convertTemplateToDeliveryNotePATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/convertToTemplatePATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/deletePATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/downloadPdfPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/emailPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/markSentPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/plannedMailPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/printPATCH/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/restoreGET/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/comments/{commentUuid}DELETE/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/comments/{commentUuid}GET/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/files/{fileUuid}

Get delivery notes​

GET
/accounts/{accountUuid}/documents/v2/delivery-notes

Get delivery notes

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

is_template

get templates

Type
boolean
Default
false
updatedSince

filter for updated items

limit

pagination limit

Type
[ "number", "null" ]
Maximum
400
Minimum
1
page

pagination page

Type
[ "number", "null" ]
Default
1
Minimum
1

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"uuid": "string",
  
  
  
  
"id": 0,
  
  
  
  
"currencyCode": "string",
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
"customField1": "string",
  
  
  
  
"customField2": "string",
  
  
  
  
"customField3": "string",
  
  
  
  
"customField4": "string",
  
  
  
  
"deliveryNoteDate": "string",
  
  
  
  
"deliveryNoteNumber": "string",
  
  
  
  
"isArchived": true,
  
  
  
  
"isCancelled": true,
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
"name": "string",
  
  
  
  
  
"email": "string",
  
  
  
  
  
"personUuid": "string"
  
  
  
  
},
  
  
  
  
"reference": "string",
  
  
  
  
"status": "string",
  
  
  
  
"sentStatus": "string",
  
  
  
  
"title": "string",
  
  
  
  
"updatedAt": "string",
  
  
  
  
"isTemplate": true
  
  
  
}
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Create delivery note​

POST
/accounts/{accountUuid}/documents/v2/delivery-notes

Create delivery note

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"isTemplate": true,
  
  
  
"deliveryNoteDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"pricesIncludeVat": true,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "group",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"text": "string",
  
  
  
  
  
"items": "string",
  
  
  
  
  
"showCollapsed": true
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"receiver": {
  
  
  
  
"addressUuid": "string",
  
  
  
  
"personUuid": "string",
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
"companyUuid": "string",
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
{
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"customerNumber": "string"
  
  
  
}
  
  
}
  
]
}

Responses​

Delivery note created

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"uuid": "string",
  
  
  
  
"currencyCode": "string",
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
"title": "string",
  
  
  
  
"reference": "string",
  
  
  
  
"sentStatus": "string",
  
  
  
  
"status": "string",
  
  
  
  
"customField1": "string",
  
  
  
  
"customField2": "string",
  
  
  
  
"customField3": "string",
  
  
  
  
"customField4": "string",
  
  
  
  
"terms": "string",
  
  
  
  
"publicNotes": "string",
  
  
  
  
"footerText": "string",
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
"networkUuid": "string",
  
  
  
  
  
"networkKey": "string",
  
  
  
  
  
"networkName": "string",
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"receiverInformation": {
  
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
"countryCode": "string",
  
  
  
  
  
  
"email": "string",
  
  
  
  
  
  
"language": "string",
  
  
  
  
  
  
"deliveryAddress": {
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
"countryCode": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"fullName": "string",
  
  
  
  
  
  
  
  
"email": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"personUuid": "string"
  
  
  
  
},
  
  
  
  
"deliveryNoteDate": "string",
  
  
  
  
"deliveryDate": "string",
  
  
  
  
"positions": [
  
  
  
  
  
{
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"title": "string",
  
  
  
  
  
  
"showCollapsed": true,
  
  
  
  
  
  
"items": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"unitCode": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
],
  
  
  
  
  
  
"unitCode": "string",
  
  
  
  
  
  
"text": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"isTemplate": true,
  
  
  
  
"deliveryNoteNumber": "string",
  
  
  
  
"type": "string",
  
  
  
  
"documentDiscount": {
  
  
  
  
  
"amount": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
}
  
  
]
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get delivery note​

GET
/accounts/{accountUuid}/documents/v2/delivery-notes/{deliveryNoteUuid}

Get a single delivery note

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
deliveryNoteUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"uuid": "string",
  
  
  
  
"currencyCode": "string",
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
"title": "string",
  
  
  
  
"reference": "string",
  
  
  
  
"sentStatus": "string",
  
  
  
  
"status": "string",
  
  
  
  
"customField1": "string",
  
  
  
  
"customField2": "string",
  
  
  
  
"customField3": "string",
  
  
  
  
"customField4": "string",
  
  
  
  
"terms": "string",
  
  
  
  
"publicNotes": "string",
  
  
  
  
"footerText": "string",
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
"networkUuid": "string",
  
  
  
  
  
"networkKey": "string",
  
  
  
  
  
"networkName": "string",
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"receiverInformation": {
  
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
"countryCode": "string",
  
  
  
  
  
  
"email": "string",
  
  
  
  
  
  
"language": "string",
  
  
  
  
  
  
"deliveryAddress": {
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
"countryCode": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"fullName": "string",
  
  
  
  
  
  
  
  
"email": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"personUuid": "string"
  
  
  
  
},
  
  
  
  
"deliveryNoteDate": "string",
  
  
  
  
"deliveryDate": "string",
  
  
  
  
"positions": [
  
  
  
  
  
{
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"title": "string",
  
  
  
  
  
  
"showCollapsed": true,
  
  
  
  
  
  
"items": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"unitCode": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
],
  
  
  
  
  
  
"unitCode": "string",
  
  
  
  
  
  
"text": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"isTemplate": true,
  
  
  
  
"deliveryNoteNumber": "string",
  
  
  
  
"type": "string",
  
  
  
  
"documentDiscount": {
  
  
  
  
  
"amount": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
}
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Update delivery note​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{deliveryNoteUuid}

Update delivery note

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
deliveryNoteUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"isTemplate": true,
  
  
  
"deliveryNoteDate": "string",
  
  
  
"deliveryDate": "string",
  
  
  
"pricesIncludeVat": true,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "group",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"text": "string",
  
  
  
  
  
"items": "string",
  
  
  
  
  
"showCollapsed": true
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"receiver": {
  
  
  
  
"addressUuid": "string",
  
  
  
  
"personUuid": "string",
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
"companyUuid": "string",
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
{
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"customerNumber": "string"
  
  
  
}
  
  
}
  
]
}

Responses​

Delivery note updated

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"uuid": "string",
  
  
  
  
"currencyCode": "string",
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
"title": "string",
  
  
  
  
"reference": "string",
  
  
  
  
"sentStatus": "string",
  
  
  
  
"status": "string",
  
  
  
  
"customField1": "string",
  
  
  
  
"customField2": "string",
  
  
  
  
"customField3": "string",
  
  
  
  
"customField4": "string",
  
  
  
  
"terms": "string",
  
  
  
  
"publicNotes": "string",
  
  
  
  
"footerText": "string",
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
"networkUuid": "string",
  
  
  
  
  
"networkKey": "string",
  
  
  
  
  
"networkName": "string",
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"receiverInformation": {
  
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
"countryCode": "string",
  
  
  
  
  
  
"email": "string",
  
  
  
  
  
  
"language": "string",
  
  
  
  
  
  
"deliveryAddress": {
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
"countryCode": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"fullName": "string",
  
  
  
  
  
  
  
  
"email": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"personUuid": "string"
  
  
  
  
},
  
  
  
  
"deliveryNoteDate": "string",
  
  
  
  
"deliveryDate": "string",
  
  
  
  
"positions": [
  
  
  
  
  
{
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"title": "string",
  
  
  
  
  
  
"showCollapsed": true,
  
  
  
  
  
  
"items": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
  
"kind": "string",
  
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
  
  
  
"productUuid": "string",
  
  
  
  
  
  
  
  
"productGroupUuid": "string",
  
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
  
"positionTotal": 0,
  
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
  
"amount": 0,
  
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"quantity": 0,
  
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityEmployeeUuid": "string",
  
  
  
  
  
  
  
  
"employeeActivityStartDate": "string",
  
  
  
  
  
  
  
  
"relatedInvoice": {
  
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"originalInvoice": {
  
  
  
  
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
  
  
  
"number": "string"
  
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
  
"unitCode": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
],
  
  
  
  
  
  
"unitCode": "string",
  
  
  
  
  
  
"text": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"isTemplate": true,
  
  
  
  
"deliveryNoteNumber": "string",
  
  
  
  
"type": "string",
  
  
  
  
"documentDiscount": {
  
  
  
  
  
"amount": 0,
  
  
  
  
  
"percentage": 0
  
  
  
  
}
  
  
  
}
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get bulk actions​

GET
/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions

Get delivery note bulk actions

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

forList

filter list actions

Type
boolean
Default
false

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get actions​

GET
/accounts/{accountUuid}/documents/v2/delivery-notes/{deliveryNoteUuid}/actions

Get delivery note actions

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
deliveryNoteUuid*
Type
string
Required
Format
"uuid"

Query Parameters

forList

filter list actions

Type
boolean
Default
false

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get comment collection​

GET
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/comments

fetches comments of a document via pagination

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Query Parameters

page
Type
[ "integer", "null" ]
Default
1
Minimum
1
perPage
Type
[ "integer", "null" ]
Minimum
1

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"authorUserUuid": "string",
  
  
  
"createdAt": "string",
  
  
  
"userName": "string",
  
  
  
"comment": "string",
  
  
  
"type": "string",
  
  
  
"isDeletable": true
  
  
}
  
],
  
"message": "string",
  
"status": 200,
  
"meta": {
  
  
"pagination": {
  
  
  
"currentPage": 0,
  
  
  
"firstPageUrl": "string",
  
  
  
"from": 1,
  
  
  
"lastPage": 0,
  
  
  
"lastPageUrl": "string",
  
  
  
"nextPageUrl": "string",
  
  
  
"perPage": 50,
  
  
  
"previousPageUrl": "string",
  
  
  
"to": 50,
  
  
  
"totalItems": 0
  
  
}
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Create comment​

POST
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/comments

creates a new comment on a document either for internal or external use

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"comment": "string",
  
"type": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"authorUserUuid": "string",
  
  
"createdAt": "string",
  
  
"userName": "string",
  
  
"comment": "string",
  
  
"type": "string",
  
  
"isDeletable": true
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get Files​

GET
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/files

Returns a list of files

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Query Parameters

page
Type
[ "integer", "null" ]
Default
1
Minimum
1
perPage
Type
[ "integer", "null" ]
Minimum
1
kind
Type
array

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"name": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"archivedAt": "string",
  
  
  
"archivedReason": "string",
  
  
  
"fileSize": 0,
  
  
  
"mimeType": "string",
  
  
  
"kind": "string"
  
  
}
  
],
  
"message": "string",
  
"status": 200,
  
"meta": {
  
  
"pagination": {
  
  
  
"currentPage": 0,
  
  
  
"firstPageUrl": "string",
  
  
  
"from": 1,
  
  
  
"lastPage": 0,
  
  
  
"lastPageUrl": "string",
  
  
  
"nextPageUrl": "string",
  
  
  
"perPage": 50,
  
  
  
"previousPageUrl": "string",
  
  
  
"to": 50,
  
  
  
"totalItems": 0
  
  
}
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute archive bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/archive

Marks the document as archived

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute collectInvoice bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/collectInvoice

Creates a collective invoice out of the selected items

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute markSent bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/markSent

Triggers the mark sent action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute massDownloadZip bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/massDownloadZip

Zips and downloads each document. The result is sent to the inbox

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute massPrint bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/massPrint

Triggers the print action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": {
  
  
  
"type": "string",
  
  
  
"id": 0,
  
  
  
"uuid": "string",
  
  
  
"printUrl": "string",
  
  
  
"document": {
  
  
  
  
"url": "string",
  
  
  
  
"preview_url": "string"
  
  
  
}
  
  
}
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute massSent bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/massSent

Triggers the send action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute plannedMail bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/bulk-actions/plannedMail

Triggers the plan mail action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute archive action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/archive

Archives the document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute cancel action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/cancel

Cancels and moves the document back to draft

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute cancelPermanently action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/cancelPermanently

Cancels the document permanently. It cannot be edited afterwards

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute clone action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/clone

Creates a copy of the document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute convertDNI action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/convertDNI

Creates an invoice out of a delivery note

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute convertTemplateToDeliveryNote action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/convertTemplateToDeliveryNote

Creates a delivery note out of a template

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute convertToTemplate action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/convertToTemplate

Creates a template out of a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"isTemplate": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute delete action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/delete

Deletes a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute downloadPdf action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/downloadPdf

Gets the download uri for the document's pdf

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"downloadUrl": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute email action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/email

Sends the document via email

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute markSent action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/markSent

Marks the invoice as sent

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute plannedMail action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/plannedMail

Schedules the email for sending the document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute print action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/print

Creates the PDF for printing

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string",
  
  
"printUrl": "string",
  
  
"document": {
  
  
  
"url": "string",
  
  
  
"preview_url": "string"
  
  
}
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute restore action​

PATCH
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/actions/restore

Restores an archived document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get comment​

GET
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/comments/{commentUuid}

fetches a single comment of a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"
commentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"authorUserUuid": "string",
  
  
"createdAt": "string",
  
  
"userName": "string",
  
  
"comment": "string",
  
  
"type": "string",
  
  
"isDeletable": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Delete comment​

DELETE
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/comments/{commentUuid}

deletes a comment of a document, which cannot be restored anymore afterwards.

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"
commentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

Playground​

Authorization
Variables
Key
Value

Samples​


Get File​

GET
/accounts/{accountUuid}/documents/v2/delivery-notes/{documentUuid}/files/{fileUuid}

Returns a file

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"
fileUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string",
  
  
"archivedAt": "string",
  
  
"archivedReason": "string",
  
  
"fileSize": 0,
  
  
"mimeType": "string",
  
  
"kind": "string",
  
  
"fileUrl": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​